Bug 3889 - systemd was updated to enable cpupower by default [UPDATE REQUEST]
: systemd was updated to enable cpupower by default [UPDATE REQUEST]
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-28 17:04 MSK by Alexander Burmashev
Modified: 2014-04-01 17:15 MSD (History)
2 users (show)

See Also:
RPM Package: systemd
ISO-related:
Bad POT generating:
Upstream:
alex.burmashev: published-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2014-03-28 17:04:25 MSK
systemd was updated to enable cpupower by default
Comment 1 Alexander Burmashev 2014-03-28 17:05:31 MSK
Advisory:
systemd was updated to enable cpupower by default. It is required for kernel, so that kernel cpupower service is enabled by default.
Buildlists:
https://abf.rosalinux.ru/build_lists/1725894
https://abf.rosalinux.ru/build_lists/1725893
Comment 2 Alexander Burmashev 2014-03-28 17:12:08 MSK
This update does not change anything without a new kernel.
Comment 3 Vladimir Potapov 2014-03-31 11:59:26 MSD
(In reply to comment #2)
> This update does not change anything without a new kernel.

The update route to extended testing
Comment 4 Vladimir Potapov 2014-03-31 12:04:38 MSD
systemctl status cpupower
cpupower.service - Configure CPU power related settings
   Loaded: loaded (/lib/systemd/system/cpupower.service; disabled)
   Active: inactive (dead)
Comment 5 Alexander Burmashev 2014-03-31 12:08:00 MSD
Kernel should be installed after systemd update, was it done so in your case ?
Comment 6 Vladimir Potapov 2014-03-31 12:15:56 MSD
(In reply to comment #5)
> Kernel should be installed after systemd update, was it done so in your case
> ?
No. This condition has not been is written ...
How do I enable the service, if they were installed at the same time? And how the system will behave in the standard upgrade from R2?
Comment 7 Postnikov Dmitry 2014-03-31 12:22:51 MSD
(In reply to comment #6)
> (In reply to comment #5)
> > Kernel should be installed after systemd update, was it done so in your case
> > ?
> No. This condition has not been is written ...
> How do I enable the service, if they were installed at the same time? And
> how the system will behave in the standard upgrade from R2?

Enable service "systemctl enable cpupower", but... this need automatically ON after update kernel.
With standard update first install systemd, then kernel.
Comment 8 Alexander Burmashev 2014-04-01 15:37:06 MSD
I fixed the problem with proper kernel scripts.
This update is no longer required.